Package tigase.server

## Class ConnectionManager.PortConfigBean

- java.lang.Object
- - tigase.server.ConnectionManager.PortConfigBean

- All Implemented Interfaces:
    `ConfigurationChangedAware`, `Initializable`, `UnregisterAware`
  Direct Known Subclasses:
    `ConnectionManager.SecPortConfigBean`
  Enclosing class:
    ConnectionManager<IO extends XMPPIOService<?>>

      public static class ConnectionManager.PortConfigBean
      extends java.lang.Object
      implements ConfigurationChangedAware, Initializable, UnregisterAware

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String[]` | `ifc` |
    `protected long` | `newConnectionsThrottling` |
    `protected SocketType` | `socket` |
    `protected ConnectionType` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PortConfigBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beanConfigurationChanged​(java.util.Collection<java.lang.String> changedFields)` | Method called when configuration was applied to bean.
    `void` | `beforeUnregister()` | Method called before bean unregister.
    `int` | `getPort()` |
    `protected java.util.Map<java.lang.String,​java.lang.Object>` | `getProps()` |
    `void` | `initialize()` | Method will be called, when bean will be created, configured and ready to use.
    `boolean` | `isSecure()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ifc

          @ConfigField(desc="Interface to listen on")
          protected java.lang.String[] ifc

    - #### newConnectionsThrottling

          @ConfigField(desc="New connections throttling",
                       alias="new-connections-throttling")
          protected long newConnectionsThrottling

    - #### socket

          @ConfigField(desc="Socket type")
          protected SocketType socket

    - #### type

          @ConfigField(desc="Port type")
          protected ConnectionType type

  - ### Constructor Detail

    - #### PortConfigBean

          public PortConfigBean()

  - ### Method Detail

    - #### getPort

          public int getPort()

    - #### isSecure

          public boolean isSecure()

    - #### beanConfigurationChanged

          public void beanConfigurationChanged​(java.util.Collection<java.lang.String> changedFields)

      Description copied from interface: `ConfigurationChangedAware`
      Method called when configuration was applied to bean.
      Specified by:
        `beanConfigurationChanged` in interface `ConfigurationChangedAware`
      Parameters:
        `changedFields` - collection of field names which were changed

    - #### beforeUnregister

          public void beforeUnregister()

      Description copied from interface: `UnregisterAware`
      Method called before bean unregister.
      Specified by:
        `beforeUnregister` in interface `UnregisterAware`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`

    - #### getProps

          protected java.util.Map<java.lang.String,​java.lang.Object> getProps()